package com.xy.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.xy.entity.SysDept;
import com.xy.entity.SysDeptRelation;


/***
 * 部门关系服务类
 * @author 谭斌
 * @date 2022/12/13 15:14
 */
public interface SysDeptRelationService extends IService<SysDeptRelation> {

    /**
     * 新建部门关系
     *
     * @param sysDept
     */
    void saveDeptRelation(SysDept sysDept);

    /**
     * 通过ID删除部门关系
     *
     * @param id
     */
    void removeDeptRelationById(Long id);

    /**
     * 更新部门关系
     *
     * @param relation
     */
    void updateDeptRelation(SysDeptRelation relation);

    /**
     * 根据系统ID删除关系表
     *
     * @param sysId
     */
    void removeBySysId(Long sysId);

}
